/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection.mock;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public abstract class Bean2 {
    
    public abstract boolean isName();
    
    public abstract int isValue();
    
    public abstract boolean isPair(int a, int b);
    
    public abstract int getSize();
    
    public abstract int getLength(int val);
    
    public abstract void getError();
    
    public abstract void setName(String value);
    
    public abstract Bean2 setList(String value);
}
